[Overview][Types][Classes][Index] | Reference for unit 'SQLTypes' (#fcl)

# TSqlObjectIdentifierList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

List of TSqlObjectIndentifier instances

## Declaration

Source position: sqltypes.pp line 38

`type TSqlObjectIdentifierList = class(TCollection)`
`public`
`function AddIdentifier();` |  | Add an identifier to the list
`property Identifiers []: TSqlObjectIdenfier; default; [rw]` |  | Indexed access to all identifiers in the list.
`end;`

## Inheritance

`TSqlObjectIdentifierList` |  | List of TSqlObjectIndentifier instances
`TCollection`
`TPersistent,IFPObserved`
`TObject`

## Description

TSqlObjectIdentifierList is a list class holding a list of TSqlObjectIndentifier elements. It is used in the TSQLConnection.GetObjectNames to return the list of objects requested.

## See also

TSqlObjectIndentifier
#fcl.sqldb.TSQLConnection.GetObjectNames |  | Return a collection of object names for a given type of object